%global  basever 0.8.18

Name:    compiz-plugins-experimental
Version: %{basever}
Release:    1%{?dist}
Summary: Additional plugins for Compiz
License: GPLv2+
URL:     https://gitlab.com/compiz/%{name}
Source0: %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
ExcludeArch: s390 s390x

BuildRequires: gcc-c++
BuildRequires: compiz-plugins-main-devel >= %{basever}
BuildRequires: compiz-plugins-extra-devel >= %{basever}
BuildRequires: compiz-bcop >= %{basever}
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: libtool
BuildRequires: libXScrnSaver-devel
BuildRequires: automake
BuildRequires: make

Requires: compiz >= %{basever}
Requires: compiz-plugins-main >= %{basever}
Requires: compiz-plugins-extra >= %{basever}
Provides: compiz-plugins-unsupported = %{version}-%{release}
Provides: compiz-plugins-unsupported = %{version}-%{release}

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.
This package contains additional plugins from the Compiz Fusion Project

%package devel
Summary: Development files for Compiz-Fusion
Requires: compiz-plugins-main-devel >= %{basever}
Requires: compiz-plugins-extra-devel >= %{basever}
Requires: %{name} = %{version}-%{release}
Provides: compiz-plugins-unsupported-devel = %{version}-%{release}
Provides: compiz-plugins-unsupported-devel = %{version}-%{release}

%description devel
This package contain development files required for developing other plugins


%prep
%setup -q -n %{name}-v%{version}
chmod -x src/cubemodel/fileParser.c src/cubemodel/cubemodel.c src/cubemodel/cubemodel-internal.h

%build
./autogen.sh
%configure

make %{?_smp_mflags} V=1

%install
%{make_install}

find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%find_lang %{name}


%files -f %{name}.lang
%doc COPYING AUTHORS NEWS
%{_libdir}/compiz/*.so
%dir %{_datadir}/compiz/elements/
%dir %{_datadir}/compiz/fireflies/
%dir %{_datadir}/compiz/snow/
%dir %{_datadir}/compiz/stars/
%dir %{_datadir}/compiz/earth/
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*/*.frag
%{_datadir}/compiz/*/*.png
%{_datadir}/compiz/*/*.svg
%{_datadir}/compiz/*/*.vert
%{_datadir}/compiz/icons/hicolor/scalable/apps/*.svg

%files devel
%{_includedir}/compiz/compiz-elements.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - %{basever}-1
- initial build
